using APT.BaseData.Domain.Entities.BD;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities
{
    /// <summary>
    /// BI图片视频 轮播内容
    /// </summary> 
    [Description("图片视频")]
    public partial class T_PF_BIVIDEOIMG_FILE : MesEntityBase
    {
        [Description("图片视频")]
        [DataFieldForeignKey("Nav_BIFile", "Nav_Files")]
        public Guid VIDEOIMG_ID { get; set; }

        [Description("图片视频")]
        public virtual T_PF_BIVIDEOIMG Nav_BIFile { get; set; }

        /// <summary>
        /// 附件类型
        /// </summary>
        [Description("附件类型")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public FILETYPEEnum TYPE { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }

    }
}